<!doctype html>
<html lang="en">
<head>
<title>7-fresh-upstreams-daily-builds</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">Question 1: </span><span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f">This makes me remember Debian CUT (constantly usable testing)... Has this project anything to do with that?</span><span class="a_kACk2jfv9IjS4Hon" title="a_kACk2jfv9IjS4Hon" style="background-color:#d30395"> </span><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"></span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"></span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">Comments: </span><span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f"></span><br><span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f">https://cut.debian.net/</span><br><span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f">https://joeyh.name/code/debian/cut/</span><span class="a_XsngrRj9X8lNqcXh" title="a_XsngrRj9X8lNqcXh" style="background-color:#e70f2c"></span><br><span class="a_XsngrRj9X8lNqcXh" title="a_XsngrRj9X8lNqcXh" style="background-color:#e70f2c">No, it's unrelated.</span><span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f"></span><br><span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f">But this one has a similar goal, right?</span><span class="a_XsngrRj9X8lNqcXh" title="a_XsngrRj9X8lNqcXh" style="background-color:#e70f2c"></span><br><span class="a_XsngrRj9X8lNqcXh" title="a_XsngrRj9X8lNqcXh" style="background-color:#e70f2c">CUT has never really existed but yes some features of the janitor bot could have helped to achieve the goals of CUT. The janitor bot is really here to help automated the job of the packager. And a nice side-effect is the possibility to make regular releases/snapshots of upstream.</span><span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f"></span><br><span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f">Thanks for the answer!</span><span class="a_kACk2jfv9IjS4Hon" title="a_kACk2jfv9IjS4Hon" style="background-color:#d30395"></span><br><span class="a_kACk2jfv9IjS4Hon" title="a_kACk2jfv9IjS4Hon" style="background-color:#d30395"></span><br><span class="a_kACk2jfv9IjS4Hon" title="a_kACk2jfv9IjS4Hon" style="background-color:#d30395">Another take is that the idea behind it is similar, but the goal is not to provide a full rolling distribution (yet?), just updated versions of individual packages where that's possible. It's a lot easier to solve this for some packages than for *all* packages, let alone all the issues around e.g. transitions.</span><span class="a_pAsz9bxuetA94Kge" title="a_pAsz9bxuetA94Kge" style="background-color:#ff874f"></span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"></span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">Question 2:</span><span class="a_sfHViMfqYLmyCGv1" title="a_sfHViMfqYLmyCGv1" style="background-color:#f3dad2"> </span><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">R</span><span class="a_sfHViMfqYLmyCGv1" title="a_sfHViMfqYLmyCGv1" style="background-color:#f3dad2">egarding autopkgtest, I hope you don't need to duplicate that but could leverage ci.d.n. If you didn't think about that already, come talk to us, we can (nearly) do this now.</span><span class="a_kACk2jfv9IjS4Hon" title="a_kACk2jfv9IjS4Hon" style="background-color:#d30395"></span><br><span class="a_kACk2jfv9IjS4Hon" title="a_kACk2jfv9IjS4Hon" style="background-color:#d30395">That would actually be great - I'll reach out. </span><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"></span><br><span class="a_sfHViMfqYLmyCGv1" title="a_sfHViMfqYLmyCGv1" style="background-color:#f3dad2">debian-ci@lists.debian.org</span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6"></span><br><span class="a_IpZ0kyB4FuhEsDnU" title="a_IpZ0kyB4FuhEsDnU" style="background-color:#e932e6">Question 3:</span><span class="a_OJiWWOZ6ZvqjPR49" title="a_OJiWWOZ6ZvqjPR49" style="background-color:#1c5571"></span><br><span class="a_OJiWWOZ6ZvqjPR49" title="a_OJiWWOZ6ZvqjPR49" style="background-color:#1c5571"></span><br><span class="a_OJiWWOZ6ZvqjPR49" title="a_OJiWWOZ6ZvqjPR49" style="background-color:#1c5571"></span><br><span class="a_OJiWWOZ6ZvqjPR49" title="a_OJiWWOZ6ZvqjPR49" style="background-color:#1c5571"></span><br><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
